Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2915

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2005-2915
Last Modified 05 Sep 2008 04:52:59
Published 14 Sep 2005 05:03:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2915

Summary

ezconfig.asp in Linksys WRT54G router 3.01.03, 3.03.6, non-default configurations of 2.04.4, and possibly other versions, uses weak encryption (XOR encoding with a fixed byte mask) for configuration information, which could allow attackers to decrypt the information and possibly re-encrypt it in conjunction with CVE-2005-2914.

Vulnerable Systems


References

IDEFENSE - 20050913 Linksys WRT54G Router Remote Administration Fixed Encryption Key Vulnerability


Last Updated: 27 May 2016 10:40:40